package custom_types

type Condition struct {
	Equal       int      `json:"equal"`
	LabelIdList []uint64 `json:"labelIdList"`
}

type Action struct {
	Type    int    `json:"type"`
	Content string `json:"content"`
	Meta    *Meta  `json:"meta,omitempty"`
}

type Meta struct {
	Filename string `json:"filename,omitempty"`
}

type ActionForward struct {
	Wxid   string   `json:"wxid"`
	Action []Action `json:"action"`
}
